<?php

namespace App\Component\File\Domain;

use App\Component\Customer\Domain\Customer;

#[ORM\Entity, ORM\Table(name:"files")]
class File
{
    #[ORM\Id, ORM\GeneratedValue(strategy: 'AUTO')]
    #[ORM\Column(type:Types::INTEGER)]
    private int $id;

    #[ORM\ManyToOne(targetEntity: Customer::class, inversedBy:"files")]
    private Customer $customer;

    #[ORM\Column]
    public \DateTime $created;

    #[ORM\Column]
    public \DateTime $updated;

}